cutlass::TypeTraits< T > Struct Template Reference

`#include <type_traits.h>`

## Public Types

typedef T | host_type
typedef T | device_type

## Static Public Member Functions

static T | remove_negative_zero (T x)
static T | to_print (T x)
static device_type | to_device (host_type x)

## Member Typedef Documentation

template<typename T >

typedef T cutlass::TypeTraits< T >::device_type

template<typename T >

typedef T cutlass::TypeTraits< T >::host_type

## Member Function Documentation

template<typename T >

static T cutlass::TypeTraits< T >::remove_negative_zero | ( | T | x | ) |

inlinestatic

template<typename T >

static device_type cutlass::TypeTraits< T >::to_device | ( | host_type | x | ) |

inlinestatic

template<typename T >

static T cutlass::TypeTraits< T >::to_print | ( | T | x | ) |

inlinestatic

The documentation for this struct was generated from the following file:

- type_traits.h